## containerd 0.2.1

=== Makefile ===
BUILDTAGS=

PROJECT=github.com/docker/containerd

GIT_COMMIT := $(shell git rev-parse HEAD 2> /dev/null || true)
GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD 2> /dev/null)

LDFLAGS := -X github.com/docker/containerd.GitCommit=${GIT_COMMIT} ${LDFLAGS}

TEST_TIMEOUT ?= 5m
TEST_SUITE_TIMEOUT ?= 10m

# if this session isn't interactive, then we don't want to allocate a
# TTY, which would fail, but if it is interactive, we do want to attach
# so that the user can send e.g. ^C through.
INTERACTIVE := $(shell [ -t 0 ] && echo 1 || echo 0)
ifeq ($(INTERACTIVE), 1)
	DOCKER_FLAGS += -t
endif

TEST_ARTIFACTS_DIR := integration-test/test-artifacts
BUNDLE_ARCHIVES_DIR := $(TEST_ARTIFACTS_DIR)/archives

DOCKER_IMAGE := containerd-dev$(if $(GIT_BRANCH),:$(GIT_BRANCH))
DOCKER_RUN := docker run --privileged --rm -i $(DOCKER_FLAGS) "$(DOCKER_IMAGE)"


export GOPATH:=$(CURDIR)/vendor:$(GOPATH)

all: client daemon shim

static: client-static daemon-static shim-static

bin:
	mkdir -p bin/

clean:
	rm -rf bin

client: bin
	cd ctr && go build -ldflags "${LDFLAGS}" -o ../bin/ctr

client-static:
	cd ctr && go build -ldflags "-w -extldflags -static ${LDFLAGS}" -tags "$(BUILDTAGS)" -o ../bin/ctr

daemon: bin
	cd containerd && go build -ldflags "${LDFLAGS}"  -tags "$(BUILDTAGS)" -o ../bin/containerd

daemon-static:
	cd containerd && go build -ldflags "-w -extldflags -static ${LDFLAGS}" -tags "$(BUILDTAGS)" -o ../bin/containerd

shim: bin
	cd containerd-shim && go build -tags "$(BUILDTAGS)" -ldflags "-w" -o ../bin/containerd-shim

shim-static:
	cd containerd-shim && go build -ldflags "-w -extldflags -static ${LDFLAGS}" -tags "$(BUILDTAGS)" -o ../bin/containerd-shim

$(BUNDLE_ARCHIVES_DIR)/busybox.tar:
	@mkdir -p $(BUNDLE_ARCHIVES_DIR)
	curl -sSL 'https://github.com/jpetazzo/docker-busybox/raw/buildroot-2014.11/rootfs.tar' -o $(BUNDLE_ARCHIVES_DIR)/busybox.tar

bundles-rootfs: $(BUNDLE_ARCHIVES_DIR)/busybox.tar

dbuild: $(BUNDLE_ARCHIVES_DIR)/busybox.tar
	@docker build --rm --force-rm -t "$(DOCKER_IMAGE)" .

dtest: dbuild
	$(DOCKER_RUN) make test

install:
	cp bin/* /usr/local/bin/

protoc:
	protoc -I ./api/grpc/types ./api/grpc/types/api.proto --go_out=plugins=grpc:api/grpc/types

fmt:
	@gofmt -s -l . | grep -v vendor | grep -v .pb. | tee /dev/stderr

lint:
	@golint ./... | grep -v vendor | grep -v .pb. | tee /dev/stderr

shell: dbuild
	$(DOCKER_RUN) bash

test: all validate
	go test -v $(shell go list ./... | grep -v /vendor | grep -v /integration-test)
ifneq ($(wildcard /.dockerenv), )
	$(MAKE) install bundles-rootfs
	cd integration-test ; \
	go test -check.v -check.timeout=$(TEST_TIMEOUT) timeout=$(TEST_SUITE_TIMEOUT) $(TESTFLAGS) github.com/docker/containerd/integration-test
endif

validate: fmt

vet:
	go vet $(shell go list ./... | grep -v vendor)

=== vendor/src/github.com/vishvananda/netlink/Makefile ===
DIRS := \
	. \
	nl

DEPS = \
	github.com/vishvananda/netns

uniq = $(if $1,$(firstword $1) $(call uniq,$(filter-out $(firstword $1),$1)))
testdirs = $(call uniq,$(foreach d,$(1),$(dir $(wildcard $(d)/*_test.go))))
goroot = $(addprefix ../../../,$(1))
unroot = $(subst ../../../,,$(1))
fmt = $(addprefix fmt-,$(1))

all: test

$(call goroot,$(DEPS)):
	go get $(call unroot,$@)

.PHONY: $(call testdirs,$(DIRS))
$(call testdirs,$(DIRS)):
	sudo -E go test -v github.com/vishvananda/netlink/$@

$(call fmt,$(call testdirs,$(DIRS))):
	! gofmt -l $(subst fmt-,,$@)/*.go | grep ''

.PHONY: fmt
fmt: $(call fmt,$(call testdirs,$(DIRS)))

test: fmt $(call goroot,$(DEPS)) $(call testdirs,$(DIRS))

## containerd 0.2.1~ds1

=== debian/changelog ===
containerd (0.2.1~ds1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 3.9.8.
  * Trim -dev package to avoid circular dependency with Docker.
  * dev/Depends:
    - golang-github-codegangsta-cli-dev
    - golang-github-cyberdelia-go-metrics-graphite-dev
    - golang-github-docker-docker-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jun 2016 11:15:48 +1000

containerd (0.2.1~ds1-1) unstable; urgency=medium

  * Team upload.

  [ Tianon Gravi ]
  * Update to 0.2.1 upstream release

  [ Tim Potter ]
  * Add "golang-github-docker-containerd-dev" package (Closes: #822213)

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 23 Apr 2016 22:54:15 +1000

containerd (0.1.0~ds1-1) unstable; urgency=medium

  * Initial release (Closes: #819520)

 -- Tianon Gravi <tianon@debian.org>  Sat, 02 Apr 2016 11:05:01 -0700

=== debian/control ===
Source: containerd
Section: admin
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-github-cloudfoundry-gosigar-dev,
               golang-github-codegangsta-cli-dev,
               golang-github-cyberdelia-go-metrics-graphite-dev,
               golang-github-docker-docker-dev,
               golang-github-opencontainers-runc-dev (>= 0.1.0~),
               golang-github-opencontainers-specs-dev,
               golang-github-sirupsen-logrus-dev,
               golang-go,
               golang-golang-x-net-dev,
               golang-google-grpc-dev,
               golang-goprotobuf-dev (>= 0.0~git20160330~),
               golang-metrics-dev
Standards-Version: 3.9.8
Homepage: https://containerd.tools
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/containerd.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/containerd.git
XS-Go-Import-Path: github.com/docker/containerd

Package: containerd
Architecture: linux-any
Depends: runc (>= 0.1.0~), ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: daemon to control runC
 Containerd is a daemon to control runC, built for performance and density.
 Containerd leverages runC's advanced features such as seccomp and user
 namespace support as well as checkpoint and restore for cloning and live
 migration of containers.
 .
 This package contains the binaries.

Package: golang-github-docker-containerd-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-cloudfoundry-gosigar-dev,
    golang-github-opencontainers-runc-dev (>= 0.1.0~),
    golang-github-opencontainers-specs-dev,
    golang-github-sirupsen-logrus-dev,
    golang-golang-x-net-dev,
    golang-google-grpc-dev,
    golang-goprotobuf-dev (>= 0.0~git20160330~),
    golang-metrics-dev,
Description: runC develpoment files
 Containerd is a daemon to control runC, built for performance and density.
 Containerd leverages runC's advanced features such as seccomp and user
 namespace support as well as checkpoint and restore for cloning and live
 migration of containers.
 .
 This package provides development files.

=== debian/rules ===
#!/usr/bin/make -f

# there's Go code in hack/ but nothing we should test/ship 
export DH_GOLANG_EXCLUDES := github.com/docker/containerd/hack github.com/docker/containerd/integration-test

%:
	dh $@ --buildsystem=golang --with=golang

## containerd 0.2.1

=== debian/changelog ===
containerd (0.2.1-0ubuntu1) yakkety; urgency=medium

  * Use bundled dependencies for Ubuntu

 -- Tianon Gravi <tianon@debian.org>  Fri, 20 May 2016 09:39:39 -0700

=== debian/control ===
Source: containerd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9), dh-golang, golang-go
Standards-Version: 3.9.7
Homepage: https://containerd.tools
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/containerd.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/containerd.git
XS-Go-Import-Path: github.com/docker/containerd

Package: containerd
Architecture: linux-any
Depends: runc (>= 0.1.0~), ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: daemon to control runC
 Containerd is a daemon to control runC, built for performance and density.
 Containerd leverages runC's advanced features such as seccomp and user
 namespace support as well as checkpoint and restore for cloning and live
 migration of containers.
 .
 This package contains the binaries.

Package: golang-github-docker-containerd-dev
Architecture: all
Depends: golang-github-cloudfoundry-gosigar-dev,
         golang-github-codegangsta-cli-dev,
         golang-github-cyberdelia-go-metrics-graphite-dev,
         golang-github-docker-docker-dev,
         golang-github-opencontainers-runc-dev (>= 0.1.0~),
         golang-github-opencontainers-specs-dev,
         golang-github-sirupsen-logrus-dev,
         golang-golang-x-net-dev,
         golang-google-grpc-dev,
         golang-goprotobuf-dev (>= 0.0~git20160330~),
         golang-metrics-dev,
         ${misc:Depends}
Description: runC develpoment files
 Containerd is a daemon to control runC, built for performance and density.
 Containerd leverages runC's advanced features such as seccomp and user
 namespace support as well as checkpoint and restore for cloning and live
 migration of containers.
 .
 This package provides development files.

=== debian/rules ===
#!/usr/bin/make -f

# there's Go code in hack/ but nothing we should test/ship 
export DH_GOLANG_EXCLUDES := github.com/docker/containerd/hack github.com/docker/containerd/integration-test vendor

override_dh_auto_configure:
	# use vendored deps
	mkdir -p _build \
		&& cd vendor \
		&& cp -r . '$(CURDIR)/_build'
	dh_auto_configure

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

## containerd 0.2.3

=== debian/changelog ===
containerd (0.2.3-0ubuntu1~16.04) xenial; urgency=medium

  * Backport to Xenial. (LP: #1602243)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Sep 2016 23:19:43 +1200

containerd (0.2.3-0ubuntu1) yakkety; urgency=medium

  * Update to 0.2.3 upstream release
    - remove "fix-arm64.patch"; applied upstream,
      https://github.com/docker/containerd/pull/226
    - update runc dependency (>= 1.0.0-rc1)

 -- Tianon Gravi <tianon@debian.org>  Wed, 24 Aug 2016 15:44:28 -0700

containerd (0.2.1-0ubuntu4) yakkety; urgency=medium

  * Add d/patches/fix-arm64.patch, a backport of upstream arm64 fixes.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 06 Jul 2016 14:26:33 +1200

containerd (0.2.1-0ubuntu3) yakkety; urgency=medium

  * Fix "-dev" package Depends, and use vendoring more directly

 -- Tianon Gravi <tianon@debian.org>  Wed, 15 Jun 2016 14:47:15 -0700

containerd (0.2.1-0ubuntu2) yakkety; urgency=medium

  * No change rebuild to pick up s390x fixes.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 10 Jun 2016 15:13:39 +1200

=== debian/control ===
Source: containerd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go (>= 2:1.6~) | golang-1.6-go
Standards-Version: 3.9.7
Homepage: https://containerd.tools
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/containerd.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/containerd.git
XS-Go-Import-Path: github.com/docker/containerd

Package: containerd
Architecture: linux-any
Depends: runc (>= 1.0.0~rc1~), ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: daemon to control runC
 Containerd is a daemon to control runC, built for performance and density.
 Containerd leverages runC's advanced features such as seccomp and user
 namespace support as well as checkpoint and restore for cloning and live
 migration of containers.
 .
 This package contains the binaries.

Package: golang-github-docker-containerd-dev
Architecture: all
Depends: ${misc:Depends}
Description: runC develpoment files
 Containerd is a daemon to control runC, built for performance and density.
 Containerd leverages runC's advanced features such as seccomp and user
 namespace support as well as checkpoint and restore for cloning and live
 migration of containers.
 .
 This package provides development files.

## containerd 0.2.3+git20170126.85.aa8187d~ds1

=== debian/changelog ===
containerd (0.2.3+git20170126.85.aa8187d~ds1-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 08 Aug 2017 11:51:26 +0300

containerd (0.2.3+git20170126.85.aa8187d~ds1-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * Actually use DEB_HOST_GNU_TYPE to determine the arch triplet.

  [ Tim Potter ]
  * New upstream snapshot for Docker 1.13.1.

 -- Tim Potter <tpot@hpe.com>  Wed, 24 May 2017 11:38:46 +1000

containerd (0.2.3~git20161117.78.03e5862~ds1-2) unstable; urgency=medium

  * Add Breaks line to binary package to avoid messing up previous
    Docker installs.
  * Use DEB_BUILD_GNU_TYPE in debian/rules instead of hardcoding for
    amd64. (Closes: #858266)
  * Suppress binary-without-manpage and spelling-error-in-binary
    Lintian messages.

 -- Tim Potter <tpot@hpe.com>  Tue, 21 Mar 2017 09:01:49 +1100

containerd (0.2.3~git20161117.78.03e5862~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Regenerate proto files on each rebuild.

 -- Tim Potter <tpot@hpe.com>  Fri, 27 Jan 2017 12:30:54 +1100

containerd (0.2.1~ds1-3) unstable; urgency=medium

  [ Team upload ]
  * Rebuild proto files against newer version of grpc (Closes: #835736)

 -- Tim Potter <tpot@hpe.com>  Fri, 09 Sep 2016 10:11:54 +1000

=== debian/control ===
Source: containerd
Section: admin
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-github-cloudfoundry-gosigar-dev,
               golang-github-codegangsta-cli-dev,
               golang-github-cyberdelia-go-metrics-graphite-dev,
               golang-github-docker-docker-dev,
               golang-github-opencontainers-runc-dev (>= 0.1.0~),
               golang-github-opencontainers-specs-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-tonistiigi-fifo-dev,
               golang-any,
               golang-golang-x-net-dev,
               golang-google-grpc-dev,
               golang-goprotobuf-dev (>= 0.0~git20160330~),
               golang-metrics-dev,
               libprotobuf-dev
Standards-Version: 3.9.8
Homepage: https://containerd.tools
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/containerd.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/containerd.git
XS-Go-Import-Path: github.com/docker/containerd

Package: containerd
Architecture: linux-any
Breaks: docker.io (<< 1.12)
Depends: runc (>= 0.1.0~), ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: daemon to control runC
 Containerd is a daemon to control runC, built for performance and density.
 Containerd leverages runC's advanced features such as seccomp and user
 namespace support as well as checkpoint and restore for cloning and live
 migration of containers.
 .
 This package contains the binaries.

Package: golang-github-docker-containerd-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-cloudfoundry-gosigar-dev,
    golang-github-opencontainers-runc-dev (>= 0.1.0~),
    golang-github-opencontainers-specs-dev,
    golang-github-sirupsen-logrus-dev,
    golang-golang-x-net-dev,
    golang-google-grpc-dev,
    golang-goprotobuf-dev (>= 0.0~git20160330~),
    golang-metrics-dev,
Description: runC develpoment files
 Containerd is a daemon to control runC, built for performance and density.
 Containerd leverages runC's advanced features such as seccomp and user
 namespace support as well as checkpoint and restore for cloning and live
 migration of containers.
 .
 This package provides development files.

=== debian/rules ===
#!/usr/bin/make -f

# there's Go code in hack/ but nothing we should test/ship 
export DH_GOLANG_EXCLUDES := github.com/docker/containerd/hack github.com/docker/containerd/integration-test

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	# Regenerate proto files for each build
	(cd obj-$(DEB_HOST_GNU_TYPE)/src/github.com/docker/containerd && \
		make -f ../../../../../Makefile protoc)
	dh_auto_build

## containerd 0.2.5

=== debian/changelog ===
containerd (0.2.5-0ubuntu2) artful; urgency=medium

  * No change rebuild to fix miscompilation on ppc64el. (LP: #1711935) 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2017 20:19:36 +1200

containerd (0.2.5-0ubuntu1) zesty; urgency=medium

  * Update to 0.2.5 upstream release (LP: #1655906)

 -- Tianon Gravi <tianon@debian.org>  Fri, 13 Jan 2017 12:08:00 +1300

=== debian/control ===
Source: containerd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go (>= 2:1.6~) | golang-1.6-go
Standards-Version: 3.9.7
Homepage: https://containerd.tools
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/containerd.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/containerd.git
XS-Go-Import-Path: github.com/docker/containerd

Package: containerd
Architecture: linux-any
Depends: runc (>= 1.0.0~rc2~), ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: daemon to control runC
 Containerd is a daemon to control runC, built for performance and density.
 Containerd leverages runC's advanced features such as seccomp and user
 namespace support as well as checkpoint and restore for cloning and live
 migration of containers.
 .
 This package contains the binaries.

Package: golang-github-docker-containerd-dev
Architecture: all
Depends: ${misc:Depends}
Description: runC develpoment files
 Containerd is a daemon to control runC, built for performance and density.
 Containerd leverages runC's advanced features such as seccomp and user
 namespace support as well as checkpoint and restore for cloning and live
 migration of containers.
 .
 This package provides development files.

=== debian/rules ===
#!/usr/bin/make -f

# there's Go code in hack/ but nothing we should test/ship
export DH_GOLANG_EXCLUDES := \
	github.com/docker/containerd/hack \
	github.com/docker/containerd/integration-test \
	vendor

# set DH_GOPKG for older dh-golang (backports)
export DH_GOPKG := github.com/docker/containerd

# prefer Go 1.6 if it's available (golang-1.6-go)
export PATH := /usr/lib/go-1.6/bin:$(PATH)

override_dh_auto_configure:
	dh_auto_configure
	# use vendored deps
	rm -r '_build/src/$(DH_GOPKG)/vendor' \
		&& mkdir '_build/src/$(DH_GOPKG)/vendor' \
		&& cd vendor/src \
		&& cp -r . '$(CURDIR)/_build/src/$(DH_GOPKG)/vendor'

# The go tool does not fully support vendoring with gccgo, but we can
# work around that by constructing the appropriate -I flag by hand.
GCCGO := $(shell go tool dist env > /dev/null 2>&1 && echo no || echo yes)

ifeq ($(GCCGO),yes)
GOARCH := $(shell go env GOARCH)
GOOS := $(shell go env GOOS)

override_dh_auto_build:
	dh_auto_build -- -gccgoflags="-I $(CURDIR)/_build/pkg/gccgo_$(GOOS)_$(GOARCH)/$(DH_GOPKG)/vendor"

override_dh_auto_test:
	dh_auto_test -- -gccgoflags="-I $(CURDIR)/_build/pkg/gccgo_$(GOOS)_$(GOARCH)/$(DH_GOPKG)/vendor"
endif

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/containerd-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|preview)\d*)$/$1~$2/,\
dversionmangle=s/[~+]ds\d*$//,\
repacksuffix=~ds1 \
  https://github.com/docker/containerd/tags .*/v?(\d\S*)\.tar\.gz

## containerd 1.2.2

=== debian/changelog ===
containerd (1.2.2-0ubuntu1) disco; urgency=medium

  * Update to 1.2.2 upstream release

 -- Tianon Gravi <tianon@debian.org>  Thu, 17 Jan 2019 15:40:26 -0800

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,14 @@
 XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>
 Build-Depends: debhelper (>= 9),
-               dh-golang,
-               golang-go (>= 2:1.6~) | golang-1.6-go
+               go-md2man,
+               golang-go (>= 2:1.10~),
+               golang-race-detector-runtime,
+               libbtrfs-dev | btrfs-progs (<< 4.16.1~),
+               libseccomp-dev,
+               pkg-config
 Standards-Version: 3.9.7
-Homepage: https://containerd.tools
+Homepage: https://containerd.io
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/containerd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/containerd.git
 XS-Go-Import-Path: github.com/docker/containerd

=== debian/rules ===
#!/usr/bin/make -f

# temporary build path (see http://golang.org/doc/code.html#GOPATH)
OUR_GOPATH := $(CURDIR)/.gopath
export GOPATH := $(OUR_GOPATH)

override_dh_auto_configure:
	# copy pristine source for "/usr/share/gocode" to get into "golang-github-containerd-containerd-dev" before we muddy it with build artifacts, etc
	mkdir -p .pristine-source
	tar -c --exclude=debian --exclude=.pc --exclude=.pristine-source . | tar -xC .pristine-source
	# set up GOPATH symlink farm
	mkdir -p '$(OUR_GOPATH)/src/github.com/containerd'
	ln -sfT '$(CURDIR)' '$(OUR_GOPATH)/src/github.com/containerd/containerd'

override_dh_auto_build:
	cd '$(OUR_GOPATH)/src/github.com/containerd/containerd' \
		&& make \
			LDFLAGS='' \
			VERSION='$(shell dpkg-parsechangelog -SVersion)' \
			REVISION='' \
		&& make man

override_dh_auto_test:
	cd '$(OUR_GOPATH)/src/github.com/containerd/containerd' && make test

override_dh_auto_install:
	make install DESTDIR='$(CURDIR)/debian/tmp/usr'
	make install-man DESTDIR='$(CURDIR)/debian/tmp/usr/share'
	mkdir -p debian/tmp/usr/share/gocode/src/github.com/containerd \
		&& mv .pristine-source debian/tmp/usr/share/gocode/src/github.com/containerd/containerd

%:
	dh $@ --with=systemd

## containerd 1.2.4~ds1

=== debian/changelog ===
containerd (1.2.4~ds1-1) experimental; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Shengjing Zhu ]
  * New upstream version 1.2.4~ds1
  * Update Build-Depends for new version
  * Update debhelper and campat to 11
  * Update copyright file for new version
  * Remove patches no longer used
  * Update debian/rules for new version
  * Vendor dependencies
    + github.com/containerd/continuity: 49 files
    + github.com/containerd/go-runc: 10 files
    + github.com/containerd/ttrpc: 9 files
    + github.com/docker/distribution: 5 files
  * Install all files to -dev package
  * Generate manpages from docs/man directory
  * Update Maintainer address to team+pkg-go@tracker.debian.org
  * Add myself to Uploaders
  * Add a TODO file
  * Update package description with words in upstream README
  * Install Apache NOTICE file
  * Remove unneeded tag in lintian overrides

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 17 Feb 2019 04:12:40 +0800

=== debian/control ===
Source: containerd
Section: admin
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <zhsj@debian.org>,
Build-Depends: debhelper (>= 11),
               dh-golang,
               go-md2man,
               golang-any,
               golang-github-burntsushi-toml-dev,
#               golang-github-containerd-aufs-dev-FIXME-NEW,
               golang-github-containerd-btrfs-dev,
               golang-github-containerd-cgroups-dev,
               golang-github-containerd-console-dev,
#               golang-github-containerd-continuity-dev-FIXME-UPDATE,
#               golang-github-containerd-cri-dev-FIXME-NEW,
               golang-github-containerd-fifo-dev,
#               golang-github-containerd-go-runc-dev-FIXME-UPDATE,
#               golang-github-containerd-ttrpc-dev-FIXME-NEW,
               golang-github-containerd-typeurl-dev,
#               golang-github-containerd-zfs-dev-FIXME-NEW,
               golang-github-coreos-bbolt-dev,
#               golang-github-docker-distribution-dev-FIXME-UPDATE,
               golang-github-docker-go-events-dev,
               golang-github-docker-go-metrics-dev,
               golang-github-docker-go-units-dev,
               golang-github-gogo-googleapis-dev,
               golang-github-gogo-protobuf-dev,
               golang-github-google-go-cmp-dev,
               golang-github-gotestyourself-gotest.tools-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-opencontainers-runc-dev (>= 0.1.0~),
               golang-github-opencontainers-runtime-spec-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-urfave-cli-dev,
               golang-gocapability-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-google-grpc-dev,
Standards-Version: 3.9.8
Homepage: https://containerd.io/
Vcs-Git: https://salsa.debian.org/go-team/packages/containerd.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/containerd
XS-Go-Import-Path: github.com/containerd/containerd

Package: containerd
Architecture: linux-any
Breaks: docker.io (<< 1.12)
Depends: runc (>= 0.1.0~), ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: open and reliable container runtime
 Containerd is an industry-standard container runtime with an emphasis on
 simplicity, robustness and portability. It is available as a daemon for
 Linux and Windows, which can manage the complete container life cycle of
 its host system: image transfer and storage, container execution and
 supervision, low-level storage and network attachments, etc.
 .
 Containerd is designed to be embedded into a larger system, rather than
 being used directly by developers or end-users.
 .
 This package contains the binaries.

Package: golang-github-containerd-containerd-dev
Architecture: all
Depends: golang-github-burntsushi-toml-dev,
#         golang-github-containerd-aufs-dev-FIXME-NEW,
         golang-github-containerd-btrfs-dev,
         golang-github-containerd-cgroups-dev,
         golang-github-containerd-console-dev,
#         golang-github-containerd-continuity-dev-FIXME-UPDATE,
#         golang-github-containerd-cri-dev-FIXME-NEW,
         golang-github-containerd-fifo-dev,
#         golang-github-containerd-go-runc-dev-FIXME-UPDATE,
#         golang-github-containerd-ttrpc-dev-FIXME-NEW,
         golang-github-containerd-typeurl-dev,
#         golang-github-containerd-zfs-dev-FIXME-NEW,
         golang-github-coreos-bbolt-dev,
#         golang-github-docker-distribution-dev-FIXME-UPDATE,
         golang-github-docker-go-events-dev,
         golang-github-docker-go-metrics-dev,
         golang-github-docker-go-units-dev,
         golang-github-gogo-googleapis-dev,
         golang-github-gogo-protobuf-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-opencontainers-runc-dev (>= 0.1.0~),
         golang-github-opencontainers-runtime-spec-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-urfave-cli-dev,
         golang-gocapability-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-google-grpc-dev,
         ${misc:Depends},
Description: open and reliable container runtime (development files)
 Containerd is an industry-standard container runtime with an emphasis on
 simplicity, robustness and portability. It is available as a daemon for
 Linux and Windows, which can manage the complete container life cycle of
 its host system: image transfer and storage, container execution and
 supervision, low-level storage and network attachments, etc.
 .
 Containerd is designed to be embedded into a larger system, rather than
 being used directly by developers or end-users.
 .
 This package provides development files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

PKG := github.com/containerd/containerd
BUILDTAGS := -tags "seccomp apparmor"
GO_LDFLAGS := -ldflags '-X $(PKG)/version.Version=$(DEB_VERSION)'

export DH_GOLANG_EXCLUDES := cmd/protoc-gen-gogoctrd

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	sed -i '/github.com\/containerd\/zfs/d' cmd/containerd/builtins_linux.go
	sed -i '/github.com\/containerd\/aufs/d' cmd/containerd/builtins_linux.go
	cp -rvT debian/vendor ./vendor/
	rm -v cmd/containerd/builtins_cri_linux.go cmd/ctr/builtins_cri_linux.go
	dh_auto_configure

override_dh_auto_build:
	make man
	dh_auto_build -- $(BUILDTAGS) $(GO_LDFLAGS)

override_dh_auto_test:
	dh_auto_test -- $(BUILDTAGS)

## containerd 1.2.5

=== Makefile ===
#   Copyright The containerd Authors.

#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at

#       http://www.apache.org/licenses/LICENSE-2.0

#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.


# Root directory of the project (absolute path).
ROOTDIR=$(dir $(abspath $(lastword $(MAKEFILE_LIST))))

# Base path used to install.
DESTDIR=/usr/local

# Used to populate variables in version package.
VERSION=$(shell git describe --match 'v[0-9]*' --dirty='.m' --always)
REVISION=$(shell git rev-parse HEAD)$(shell if ! git diff --no-ext-diff --quiet --exit-code; then echo .m; fi)

ifneq "$(strip $(shell command -v go 2>/dev/null))" ""
	GOOS ?= $(shell go env GOOS)
	GOARCH ?= $(shell go env GOARCH)
else
	ifeq ($(GOOS),)
		# approximate GOOS for the platform if we don't have Go and GOOS isn't
		# set. We leave GOARCH unset, so that may need to be fixed.
		ifeq ($(OS),Windows_NT)
			GOOS = windows
		else
			UNAME_S := $(shell uname -s)
			ifeq ($(UNAME_S),Linux)
				GOOS = linux
			endif
			ifeq ($(UNAME_S),Darwin)
				GOOS = darwin
			endif
			ifeq ($(UNAME_S),FreeBSD)
				GOOS = freebsd
			endif
		endif
	else
		GOOS ?= $$GOOS
		GOARCH ?= $$GOARCH
	endif
endif

WHALE = "🇩"
ONI = "👹"

RELEASE=containerd-$(VERSION:v%=%).${GOOS}-${GOARCH}

PKG=github.com/containerd/containerd

# Project packages.
PACKAGES=$(shell go list ./... | grep -v /vendor/)
INTEGRATION_PACKAGE=${PKG}
TEST_REQUIRES_ROOT_PACKAGES=$(filter \
    ${PACKAGES}, \
    $(shell \
	for f in $$(git grep -l testutil.RequiresRoot | grep -v Makefile); do \
		d="$$(dirname $$f)"; \
		[ "$$d" = "." ] && echo "${PKG}" && continue; \
		echo "${PKG}/$$d"; \
	done | sort -u) \
    )

# Project binaries.
COMMANDS=ctr containerd containerd-stress
MANPAGES=ctr.1 containerd.1 containerd-config.1 containerd-config.toml.5

# Build tags seccomp and apparmor are needed by CRI plugin.
BUILDTAGS ?= seccomp apparmor
GO_TAGS=$(if $(BUILDTAGS),-tags "$(BUILDTAGS)",)
GO_LDFLAGS=-ldflags '-s -w -X $(PKG)/version.Version=$(VERSION) -X $(PKG)/version.Revision=$(REVISION) -X $(PKG)/version.Package=$(PKG) $(EXTRA_LDFLAGS)'
SHIM_GO_LDFLAGS=-ldflags '-s -w -X $(PKG)/version.Version=$(VERSION) -X $(PKG)/version.Revision=$(REVISION) -X $(PKG)/version.Package=$(PKG) -extldflags "-static"'

#Replaces ":" (*nix), ";" (windows) with newline for easy parsing
GOPATHS=$(shell echo ${GOPATH} | tr ":" "\n" | tr ";" "\n")

TESTFLAGS_RACE=
GO_BUILD_FLAGS=
# See Golang issue re: '-trimpath': https://github.com/golang/go/issues/13809
GO_GCFLAGS=$(shell				\
	set -- ${GOPATHS};			\
	echo "-gcflags=-trimpath=$${1}/src";	\
	)

#include platform specific makefile
-include Makefile.$(GOOS)

BINARIES=$(addprefix bin/,$(COMMANDS))

# Flags passed to `go test`
TESTFLAGS ?= -v $(TESTFLAGS_RACE)
TESTFLAGS_PARALLEL ?= 8

.PHONY: clean all AUTHORS build binaries test integration generate protos checkprotos coverage ci check help install uninstall vendor release mandir install-man
.DEFAULT: default

all: binaries

check: proto-fmt ## run all linters
	@echo "$(WHALE) $@"
	gometalinter --config .gometalinter.json ./...

ci: check binaries checkprotos coverage coverage-integration ## to be used by the CI

AUTHORS: .mailmap .git/HEAD
	git log --format='%aN <%aE>' | sort -fu > $@

generate: protos
	@echo "$(WHALE) $@"
	@PATH="${ROOTDIR}/bin:${PATH}" go generate -x ${PACKAGES}

protos: bin/protoc-gen-gogoctrd ## generate protobuf
	@echo "$(WHALE) $@"
	@PATH="${ROOTDIR}/bin:${PATH}" protobuild --quiet ${PACKAGES}

check-protos: protos ## check if protobufs needs to be generated again
	@echo "$(WHALE) $@"
	@test -z "$$(git status --short | grep ".pb.go" | tee /dev/stderr)" || \
		((git diff | cat) && \
		(echo "$(ONI) please run 'make protos' when making changes to proto files" && false))

check-api-descriptors: protos ## check that protobuf changes aren't present.
	@echo "$(WHALE) $@"
	@test -z "$$(git status --short | grep ".pb.txt" | tee /dev/stderr)" || \
		((git diff $$(find . -name '*.pb.txt') | cat) && \
		(echo "$(ONI) please run 'make protos' when making changes to proto files and check-in the generated descriptor file changes" && false))

proto-fmt: ## check format of proto files
	@echo "$(WHALE) $@"
	@test -z "$$(find . -path ./vendor -prune -o -path ./protobuf/google/rpc -prune -o -name '*.proto' -type f -exec grep -Hn -e "^ " {} \; | tee /dev/stderr)" || \
		(echo "$(ONI) please indent proto files with tabs only" && false)
	@test -z "$$(find . -path ./vendor -prune -o -name '*.proto' -type f -exec grep -Hn "Meta meta = " {} \; | grep -v '(gogoproto.nullable) = false' | tee /dev/stderr)" || \
		(echo "$(ONI) meta fields in proto files must have option (gogoproto.nullable) = false" && false)

build: ## build the go packages
	@echo "$(WHALE) $@"
	@go build ${GO_GCFLAGS} ${GO_BUILD_FLAGS} ${EXTRA_FLAGS} ${GO_LDFLAGS} ${PACKAGES}

test: ## run tests, except integration tests and tests that require root
	@echo "$(WHALE) $@"
	@go test ${TESTFLAGS} $(filter-out ${INTEGRATION_PACKAGE},${PACKAGES})

root-test: ## run tests, except integration tests
	@echo "$(WHALE) $@"
	@go test ${TESTFLAGS} $(filter-out ${INTEGRATION_PACKAGE},${TEST_REQUIRES_ROOT_PACKAGES}) -test.root

integration: ## run integration tests
	@echo "$(WHALE) $@"
	@go test ${TESTFLAGS} -test.root -parallel ${TESTFLAGS_PARALLEL}

benchmark: ## run benchmarks tests
	@echo "$(WHALE) $@"
	@go test ${TESTFLAGS} -bench . -run Benchmark -test.root

FORCE:

# Build a binary from a cmd.
bin/%: cmd/% FORCE
	@echo "$(WHALE) $@${BINARY_SUFFIX}"
	@go build ${GO_GCFLAGS} ${GO_BUILD_FLAGS} -o $@${BINARY_SUFFIX} ${GO_LDFLAGS} ${GO_TAGS}  ./$<

bin/containerd-shim: cmd/containerd-shim FORCE # set !cgo and omit pie for a static shim build: https://github.com/golang/go/issues/17789#issuecomment-258542220
	@echo "$(WHALE) bin/containerd-shim"
	@CGO_ENABLED=0 go build ${GO_BUILD_FLAGS} -o bin/containerd-shim ${SHIM_GO_LDFLAGS} ${GO_TAGS} ./cmd/containerd-shim

bin/containerd-shim-runc-v1: cmd/containerd-shim-runc-v1 FORCE # set !cgo and omit pie for a static shim build: https://github.com/golang/go/issues/17789#issuecomment-258542220
	@echo "$(WHALE) bin/containerd-shim-runc-v1"
	@CGO_ENABLED=0 go build ${GO_BUILD_FLAGS} -o bin/containerd-shim-runc-v1 ${SHIM_GO_LDFLAGS} ${GO_TAGS} ./cmd/containerd-shim-runc-v1

bin/containerd-shim-runhcs-v1: cmd/containerd-shim-runhcs-v1 FORCE # set !cgo and omit pie for a static shim build: https://github.com/golang/go/issues/17789#issuecomment-258542220
	@echo "$(WHALE) bin/containerd-shim-runhcs-v1${BINARY_SUFFIX}"
	@CGO_ENABLED=0 go build ${GO_BUILD_FLAGS} -o bin/containerd-shim-runhcs-v1${BINARY_SUFFIX} ${SHIM_GO_LDFLAGS} ${GO_TAGS} ./cmd/containerd-shim-runhcs-v1

binaries: $(BINARIES) ## build binaries
	@echo "$(WHALE) $@"

man: mandir $(addprefix man/,$(MANPAGES))
	@echo "$(WHALE) $@"

mandir:
	@mkdir -p man

man/%: docs/man/%.md FORCE
	@echo "$(WHALE) $<"
	go-md2man -in "$<" -out "$@"

define installmanpage
mkdir -p $(DESTDIR)/man/man$(2);
gzip -c $(1) >$(DESTDIR)/man/man$(2)/$(3).gz;
endef

install-man:
	@echo "$(WHALE) $@"
	$(foreach manpage,$(addprefix man/,$(MANPAGES)), $(call installmanpage,$(manpage),$(subst .,,$(suffix $(manpage))),$(notdir $(manpage))))

release: $(BINARIES)
	@echo "$(WHALE) $@"
	@rm -rf releases/$(RELEASE) releases/$(RELEASE).tar.gz
	@install -d releases/$(RELEASE)/bin
	@install $(BINARIES) releases/$(RELEASE)/bin
	@cd releases/$(RELEASE) && tar -czf ../$(RELEASE).tar.gz *

clean: ## clean up binaries
	@echo "$(WHALE) $@"
	@rm -f $(BINARIES)

install: ## install binaries
	@echo "$(WHALE) $@ $(BINARIES)"
	@mkdir -p $(DESTDIR)/bin
	@install $(BINARIES) $(DESTDIR)/bin

uninstall:
	@echo "$(WHALE) $@"
	@rm -f $(addprefix $(DESTDIR)/bin/,$(notdir $(BINARIES)))


coverage: ## generate coverprofiles from the unit tests, except tests that require root
	@echo "$(WHALE) $@"
	@rm -f coverage.txt
	@go test -i ${TESTFLAGS} $(filter-out ${INTEGRATION_PACKAGE},${PACKAGES}) 2> /dev/null
	@( for pkg in $(filter-out ${INTEGRATION_PACKAGE},${PACKAGES}); do \
		go test ${TESTFLAGS} \
			-cover \
			-coverprofile=profile.out \
			-covermode=atomic $$pkg || exit; \
		if [ -f profile.out ]; then \
			cat profile.out >> coverage.txt; \
			rm profile.out; \
		fi; \
	done )

root-coverage: ## generate coverage profiles for unit tests that require root
	@echo "$(WHALE) $@"
	@go test -i ${TESTFLAGS} $(filter-out ${INTEGRATION_PACKAGE},${TEST_REQUIRES_ROOT_PACKAGES}) 2> /dev/null
	@( for pkg in $(filter-out ${INTEGRATION_PACKAGE},${TEST_REQUIRES_ROOT_PACKAGES}); do \
		go test ${TESTFLAGS} \
			-cover \
			-coverprofile=profile.out \
			-covermode=atomic $$pkg -test.root || exit; \
		if [ -f profile.out ]; then \
			cat profile.out >> coverage.txt; \
			rm profile.out; \
		fi; \
	done )

vendor:
	@echo "$(WHALE) $@"
	@vndr

help: ## this help
	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z_-]+:.*?## / {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST) | sort

=== debian/changelog ===
containerd (1.2.5-0ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 14 Mar 2019 10:59:45 +1300

containerd (1.2.2-0ubuntu3) disco; urgency=medium

  * Add available docs to containerd package
  * Add "basic-smoke" autopkgtest to verify basic functionality
  * Skip tests on armhf (for now)

 -- Tianon Gravi <tianon@debian.org>  Thu, 14 Feb 2019 14:26:03 -0800

containerd (1.2.2-0ubuntu2) disco; urgency=medium

  * Update "golang-race-detector-runtime" Build-Depends to be amd64-only

 -- Tianon Gravi <tianon@debian.org>  Wed, 13 Feb 2019 16:17:22 -0800

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# temporary build path (see http://golang.org/doc/code.html#GOPATH)
OUR_GOPATH := $(CURDIR)/.gopath
export GOPATH := $(OUR_GOPATH)

override_dh_auto_configure:
	# copy pristine source for "/usr/share/gocode" to get into "golang-github-containerd-containerd-dev" before we muddy it with build artifacts, etc
	mkdir -p .pristine-source
	tar -c --exclude=debian --exclude=.pc --exclude=.pristine-source . | tar -xC .pristine-source
	# set up GOPATH symlink farm
	mkdir -p '$(OUR_GOPATH)/src/github.com/containerd'
	ln -sfT '$(CURDIR)' '$(OUR_GOPATH)/src/github.com/containerd/containerd'

override_dh_auto_build:
	cd '$(OUR_GOPATH)/src/github.com/containerd/containerd' \
		&& make \
			LDFLAGS='' \
			VERSION='$(shell dpkg-parsechangelog -SVersion)' \
			REVISION='' \
		&& make man

override_dh_auto_test:
ifneq (arm, $(DEB_HOST_ARCH_CPU)) # skip the tests on armhf ("--- FAIL: TestParseSelector/linux (0.00s)  platforms_test.go:292: arm support not fully implemented: not implemented")
	cd '$(OUR_GOPATH)/src/github.com/containerd/containerd' && make test
endif

override_dh_auto_install:
	make install DESTDIR='$(CURDIR)/debian/tmp/usr'
	make install-man DESTDIR='$(CURDIR)/debian/tmp/usr/share'
	mkdir -p debian/tmp/usr/share/gocode/src/github.com/containerd \
		&& mv .pristine-source debian/tmp/usr/share/gocode/src/github.com/containerd/containerd

%:
	dh $@ --with=systemd

## containerd 1.2.6

=== debian/changelog ===
containerd (1.2.6-0ubuntu1~16.04.6+esm1) xenial-security; urgency=medium

  * SECURITY UPDATE: Insecure handling of image volumes
    - debian/patches/CVE-2022-23648.patch: Use fs.RootPath when mounting
    volumes.
    - debian/patches/update_cri_to_release_1_4.patch: Update CRI to 1.4.
    - CVE-2022-23648

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 24 Feb 2022 17:34:56 +0000

containerd (1.2.6-0ubuntu1~16.04.6) xenial; urgency=medium

  * d/control: add a Breaks for docker.io lower than 18.09.7-0ubuntu1~16.04.7
    (LP: #1870514). The previous versions stop the docker daemon when a
    containerd update is performed, this Breaks statement will make sure we
    have a newer version which has the appropriate fix.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 11 Dec 2020 09:19:07 -0300

containerd (1.2.6-0ubuntu1~16.04.5) xenial-security; urgency=medium

  * SECURITY UPDATE: Elevation of privilege vulnerability
    - debian/patches/Add-runc.v2-multi-shim_partial2.patch: Add runc.v2
      multi-shim (partially).
    - debian/patches/horten-the-unix-socket-path-for-shim.patch: horten the
      unix socket path for shim.
    - debian/patches/Include-extension-for-shim-binary-format-on-Windows.patch:
      Include extension for shim binary format.
    - debian/patches/CVE-2020-15257.patch: Use path based unix socket for shims
      and use path-based unix socket for containerd-shim.
    - CVE-2020-15257

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 26 Nov 2020 18:31:47 +0000

containerd (1.2.6-0ubuntu1~16.04.4) xenial-security; urgency=medium

  * SECURITY UPDATE: Sensitive information disclosure
    - debian/patches/CVE-2020-15157.patch: Improve fetch function and add
      tests for it.
    - CVE-2020-15157

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 14 Oct 2020 13:21:22 +0000

containerd (1.2.6-0ubuntu1~16.04.3) xenial-security; urgency=medium

  * No change rebuild for the -security pocket

 -- Mike Salvatore <mike.salvatore@canonical.com>  Wed, 03 Jul 2019 08:06:38 -0400

containerd (1.2.6-0ubuntu1~16.04.2) xenial; urgency=medium

  * Increase runc version requirement.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 16 May 2019 15:43:29 +1200

containerd (1.2.6-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to 16.04. (LP: #1824461)
  * Build with golang-1.10-go.
  * Build depend on btrfs-tools, not libbtrfs-dev or btrfs-progs.
  * Re-add Build-Depends: on dh-systemd
  * Disable race testing as go 1.10 race runtime not yet present in Xenial.
  * Add Breaks: docker.io (<= 18.09.3~)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Apr 2019 13:50:23 +1200

containerd (1.2.6-0ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 Apr 2019 12:28:52 +1200

=== debian/control ===
Source: containerd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               go-md2man,
               golang-1.10-go,
               btrfs-tools,
               libseccomp-dev,
               pkg-config
Standards-Version: 3.9.7
Homepage: https://containerd.io
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/containerd.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/containerd.git
XS-Go-Import-Path: github.com/docker/containerd

Package: containerd
Architecture: linux-any
Depends: runc (>= 1.0.0~rc7~), ${misc:Depends}, ${shlibs:Depends}
Breaks: docker.io (<< 18.09.7-0ubuntu1~16.04.7)
Built-Using: ${misc:Built-Using}
Description: daemon to control runC
 Containerd is a daemon to control runC, built for performance and density.
 Containerd leverages runC's advanced features such as seccomp and user
 namespace support as well as checkpoint and restore for cloning and live
 migration of containers.
 .
 This package contains the binaries.

Package: golang-github-docker-containerd-dev
Architecture: all
Depends: ${misc:Depends}
Description: runC develpoment files
 Containerd is a daemon to control runC, built for performance and density.
 Containerd leverages runC's advanced features such as seccomp and user
 namespace support as well as checkpoint and restore for cloning and live
 migration of containers.
 .
 This package provides development files.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
 OUR_GOPATH := $(CURDIR)/.gopath
 export GOPATH := $(OUR_GOPATH)
+export PATH := /usr/lib/go-1.10/bin:$(PATH)
 
 override_dh_auto_configure:
 	# copy pristine source for "/usr/share/gocode" to get into "golang-github-containerd-containerd-dev" before we muddy it with build artifacts, etc

## containerd 1.2.7

=== debian/changelog ===
containerd (1.2.7-0ubuntu2) eoan; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Add Restart=always and RestartSec=2 to the containerd service.
    Also set the containerd OOM adjustment level to -999 (LP: #1835523)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 05 Jul 2019 13:13:39 +0200

containerd (1.2.7-0ubuntu1) eoan; urgency=medium

  * New upstream version 1.2.7 (LP: #1835412)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 04 Jul 2019 13:49:59 +0200

## containerd 1.2.9

=== debian/changelog ===
containerd (1.2.9-0ubuntu1) eoan; urgency=medium

  * New upstream release.
  * Set GOCACHE to a safely-writeable directory during build.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 18 Sep 2019 09:46:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
 OUR_GOPATH := $(CURDIR)/.gopath
 export GOPATH := $(OUR_GOPATH)
-export PATH := /usr/lib/go-1.10/bin:$(PATH)
+export GOCACHE := $(CURDIR)/.gocache
 
 override_dh_auto_configure:
 	# copy pristine source for "/usr/share/gocode" to get into "golang-github-containerd-containerd-dev" before we muddy it with build artifacts, etc

## containerd 1.2.10

=== debian/changelog ===
containerd (1.2.10-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 30 Sep 2019 11:31:16 +1300

## containerd 1.3.1

=== debian/changelog ===
containerd (1.3.1-0ubuntu1) focal; urgency=medium

  * Update to 1.3.1 upstream release (LP: #1854841)

 -- Tianon Gravi <tianon@debian.org>  Tue, 03 Dec 2019 15:24:58 +1300
